<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc = "库存结转控制">
<query id = "FrmBaseCarryOver.doQuery" desc = "查询基础数据">
SELECT BASECODE,
       BASENAME,
       SORTCODE,
       ISVISIBLE,
       MNEMONIC_CODE,
       SEQ,
       DECODE(FLAG,'0','否','1','是')FLAG,
       CREATE_NAME,
       CREATE_TIME,
       UPDATE_NAME,
       UPDATE_TIME,
       DELETE_NAME,
       DELETE_TIME,
       DECODE(VALIDFLAG,'0','无效','1','有效')VALIDFLAG,
       MEMO,
       COEFFICIENT
  FROM COM_BASE_INFO
  WHERE VALIDFLAG = '1'
</query>
<query id = "FrmBaseCarryOver.updateCarryOver" desc = "修改结转标识">
UPDATE COM_BASE_INFO T SET T.MEMO = '#MEMO#' WHERE T.BASECODE = '#BASECODE#'
</query>
</queryMap>